Package jcifs.util

# Class HMACT64

java.lang.Object
java.security.MessageDigestSpi
java.security.MessageDigest
jcifs.util.HMACT64

All Implemented Interfaces:
  `Cloneable`

public class HMACT64 extends MessageDigest implements Cloneable
This is an implementation of the HMACT64 keyed hashing algorithm. HMACT64 is defined by Luke Leighton as a modified HMAC-MD5 (RFC 2104) in which the key is truncated at 64 bytes (rather than being hashed via MD5).

## Constructor Summary

Constructors
Constructor
Description
`HMACT64(byte[] key)`
Creates an HMACT64 instance which uses the given secret key material.

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`protected byte[]`
`engineDigest()`
`protected int`
`engineDigest(byte[] buf, int offset, int len)`
`protected int`
`engineGetDigestLength()`
`protected void`
`engineReset()`
`protected void`
`engineUpdate(byte b)`
`protected void`
`engineUpdate(byte[] input, int offset, int len)`

### Methods inherited from class java.security.MessageDigest

`digest, digest, digest, getAlgorithm, getDigestLength, getInstance, getInstance, getInstance, getProvider, isEqual, reset, toString, update, update, update, update`

### Methods inherited from class java.security.MessageDigestSpi

`engineUpdate`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HMACT64

public HMACT64(byte[] key)
Creates an HMACT64 instance which uses the given secret key material.

Parameters:
  `key` - The key material to use in hashing.

## Method Details

### clone

public Object clone()

Overrides:
  `clone` in class `MessageDigest`

### engineDigest

protected byte[] engineDigest()

Specified by:
  `engineDigest` in class `MessageDigestSpi`

### engineDigest

protected int engineDigest(byte[] buf, int offset, int len)

Overrides:
  `engineDigest` in class `MessageDigestSpi`

### engineGetDigestLength

protected int engineGetDigestLength()

Overrides:
  `engineGetDigestLength` in class `MessageDigestSpi`

### engineReset

protected void engineReset()

Specified by:
  `engineReset` in class `MessageDigestSpi`

### engineUpdate

protected void engineUpdate(byte b)

Specified by:
  `engineUpdate` in class `MessageDigestSpi`

### engineUpdate

protected void engineUpdate(byte[] input, int offset, int len)

Specified by:
  `engineUpdate` in class `MessageDigestSpi`